disp('defining the problem geometry');

rectangles  = [];
circles = [];
% 
% define a rectangle
rectangles(1).min_x = -4.5e-2;
rectangles(1).min_y = -1.5e-2;
rectangles(1).max_x = -3.5e-2;
rectangles(1).max_y = 1.5e-2;
rectangles(1).material_type = 2; 

% define a rectangle
rectangles(2).min_x = -3.5e-2;
rectangles(2).min_y = -0.5e-2;
rectangles(2).max_x = -2.5e-2;
rectangles(2).max_y = 0.5e-2;
rectangles(2).material_type = 2; 

% define a rectangle
rectangles(3).min_x = -2.5e-2;
rectangles(3).min_y = -1.5e-2;
rectangles(3).max_x = -1.5e-2;
rectangles(3).max_y = 1.5e-2;
rectangles(3).material_type = 2; 

% define a rectangle
rectangles(4).min_x = -1.0e-2;
rectangles(4).min_y = -1.5e-2;
rectangles(4).max_x = 0.0;
rectangles(4).max_y = 1.5e-2;
rectangles(4).material_type = 2; 

% define a rectangle
rectangles(5).min_x = 0.0;
rectangles(5).min_y = -0.5e-2;
rectangles(5).max_x = 1e-2;
rectangles(5).max_y = 0.5e-2;
rectangles(5).material_type = 2; 

% define a rectangle
rectangles(6).min_x = 1e-2;
rectangles(6).min_y = -1.5e-2;
rectangles(6).max_x = 2e-2;
rectangles(6).max_y = 1.5e-2;
rectangles(6).material_type = 2; 

% define a rectangle
rectangles(7).min_x = -3.5e-2;
rectangles(7).min_y = -1.5e-2;
rectangles(7).max_x = -2.5e-2;
rectangles(7).max_y = -0.5e-2;
rectangles(7).material_type = 3; 

% define a rectangle
rectangles(8).min_x = -3.5e-2;
rectangles(8).min_y =  0.5e-2;
rectangles(8).max_x = -2.5e-2;
rectangles(8).max_y = 1.5e-2;
rectangles(8).material_type = 3; 

% define a rectangle
rectangles(9).min_x = 0;
rectangles(9).min_y = -1.5e-2;
rectangles(9).max_x = 1e-2;
rectangles(9).max_y = -0.5e-2;
rectangles(9).material_type = 3; 

% define a rectangle
rectangles(10).min_x = 0;
rectangles(10).min_y = 0.5e-2;
rectangles(10).max_x = 1e-2;
rectangles(10).max_y = 1.5e-2;
rectangles(10).material_type = 3; 

% define a circle
%circles(1).center_x = -2e-3;
%circles(1).center_y = 1e-3;
%circles(1).radius = 1e-3;
%circles(1).material_type = 4; 

% define a circle
%circles(2).center_x = 2e-3;
%circles(2).center_y = -1e-3;
%circles(2).radius = 1e-3;
%circles(2).material_type = 5; 
